Redmine - Patch #12611

Login link unexpected logs you out
2012-12-16 23:59 - Andrew Dahl

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour
Target version: 2.3.0

Description

If you log in and then revisit the /login page, Redmine currently logs you out and requires you to log back in. | believe this is
unexpected behavior, as if you do this on most websites, you're redirected as though you just logged in.

The patch attached fixes this issue explained.
Redmine 2.1.4.stable

Ruby 1.9.3

Rails 3.2.8

This issue is similar to #11847 ;however, has nothing to do with back_url and is solving the bigger problem, | think.

Related issues:
Related to Redmine - Patch #11847: Autologin if have back_url Closed

Associated revisions

Revision 11122 - 2013-01-05 14:53 - Jean-Philippe Lang
Login link unexpected logs you out (#12611).

History

#1 - 2012-12-17 18:56 - Jean-Philippe Lang

- Tracker changed from Defect to Patch

#2 - 2012-12-18 20:30 - Etienne Massip

- Target version set to Candidate for next minor release

Agreed, should logout only on /logout or new login.

#3 - 2013-01-05 14:53 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 2.3.0

Patch committed in r11122 with a test.

#4 - 2013-01-10 13:04 - Bruno Medeiros

Does this patch redirects to the back_url param if it exists? As far as | could understand, it doesn't, and | think it should, it will be a great improvement!
This problem always annoyed me, good to see it's fixed!

Files

redmine-login_unexpectedly_logs_you_out_fix-DrewDahl.patch 1.13 KB 2012-12-16 Andrew Dahl

2024-03-13 1/1



https://www.redmine.org/issues/11847
https://www.redmine.org/projects/redmine/repository/svn/revisions/11122
http://www.tcpdf.org

